Subject: Re: bug#36942: Reconfigure broke GRUB
From: Ludovic Courtès <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: "Jakob L. Kreuze" <[email-masked]>, ison <[email-masked]>, [email-masked]
Date: Mon, 26 Aug 2019 12:20:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> On Tue, 06 Aug 2019 15:48:43 -0400
> [email-masked] (Jakob L. Kreuze) wrote:
>
>> Danny Milosavljevic <[email-masked]> writes:
>> 
>> > Hi,
>> >
>> > I've examined /var/guix/gcroots without #36947 and I get:
>> >
>> > lrwxrwxrwx 1 root root   18 24. Jul 11:32 profiles -> /var/guix/profiles
>> > lrwxrwxrwx 1 root root   19 24. Jul 11:32 current-system -> /run/current-system
>> > lrwxrwxrwx 1 root root   18 24. Jul 11:32 booted-system -> /run/booted-system
>> > lrwxrwxrwx 1 root root   26 29. Jul 22:26 bootcfg -> //var/guix/gcroots/bootcfg
>> >
>> > So I guess I'm one "guix gc" away from also destroying my
>> > installation.  
>> 
>> Was this fixed after applying #36947?
>
> Yes.

Closing, because this is apparently the same as
<https://issues.guix.gnu.org/issue/36865>, which fortunately was fixed a
while back!

Thanks,
Ludo’.